package server.somesystem.entities;

import java.io.Serializable;

import java.util.Collection;
import java.util.LinkedList;

import javax.persistence.Entity;
import javax.persistence.OneToMany;
import static javax.persistence.CascadeType.REMOVE;
import javax.persistence.Id;

@Entity(name="SOMEENTITY")
public class SomeEntity implements Serializable {
 @OneToMany(mappedBy="someEntity", cascade=REMOVE)
 private Collection<OtherEntity> otherEntities = new LinkedList<OtherEntity>();
 @Id
 private Integer someEntityId;
 protected SomeEntity() { /* needed */ }
 // public interface
 public SomeEntity(Integer someEntityId) {
  this.someEntityId = someEntityId;
 }
 // package friendly methods
 void addOtherEntity(OtherEntity otherEntity) {
  otherEntities.add(otherEntity);
 }
}
