package server.somesystem.entities;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.ManyToOne;
import static javax.persistence.CascadeType.PERSIST;
import javax.persistence.Id;
import javax.persistence.PrePersist;

@Entity(name="OTHERENTITY")
public class OtherEntity implements Serializable {
 @PrePersist public void otherEntityPrePersist() {
  someEntity.addOtherEntity(this);
 }
 @ManyToOne(cascade=PERSIST)
 private SomeEntity someEntity;
 @Id
 private Integer otherEntityId;
 protected OtherEntity() { /* needed */ }
 // public interface
 public OtherEntity(SomeEntity someEntity, Integer otherEntityId) {
  this.someEntity = someEntity;
  this.otherEntityId = otherEntityId;
 }
}